org.modeshape.jcr.query.model

## Class UpperCase

- java.lang.Object
- - org.modeshape.jcr.query.model.UpperCase

- All Implemented Interfaces:
    Serializable, DynamicOperand, Operand, UpperCase, LanguageObject, Visitable

      @Immutable
      public class UpperCase
      extends Object
      implements DynamicOperand, UpperCase

  A dynamic operand that evaluates to the upper-case representation of the supplied operand, used in a `Comparison` constraint.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpperCase(DynamicOperand operand)` Create a dynamic operand that evaluates to the upper-case representation of the supplied operand.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
    `boolean` | `equals(Object obj)`
    `DynamicOperand` | `getOperand()`
    `int` | `hashCode()`
    `SelectorName` | `selectorName()` Get the selector symbol upon which this operand applies.
    `Set<SelectorName>` | `selectorNames()` Get the selector symbols to which this operand applies.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpperCase

          public UpperCase(DynamicOperand operand)

      Create a dynamic operand that evaluates to the upper-case representation of the supplied operand.
      Parameters:
        `operand` - the operand that is to be lower-cased

  - ### Method Detail

    - #### selectorName

          public SelectorName selectorName()

      Get the selector symbol upon which this operand applies.
      Returns:
        the one selector names used by this operand; never null

    - #### selectorNames

          public Set<SelectorName> selectorNames()

      Description copied from interface: `DynamicOperand`
      Get the selector symbols to which this operand applies.
      Returns:
        the immutable ordered set of non-null selector names used by this operand; never null and never empty

    - #### getOperand

          public final DynamicOperand getOperand()

      Specified by:
        `getOperand` in interface `UpperCase`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### accept

          public void accept(Visitor visitor)

      Description copied from interface: `Visitable`
      Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
      Specified by:
        `accept` in interface `Visitable`
      Parameters:
        `visitor` - the visitor; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.